All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.expr.olap
Class TimeFilterFirstLastPeriodsExpression

    com.sas.iquery.metadata.expr.olap.TimeFilterFirstLastPeriodsExpression

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, ModelItem, UsabilityInterface, ExpressionInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    public class TimeFilterFirstLastPeriodsExpression

Models an expression that filters a data item to reflect requests for the first or last specified number of members at a level.

See Also:
  `com.sas.iquery.metadata.business.step.olap.DataTimeFilterFirstLastPeriodsFilter`

Field Summary
`static java.lang.String` | `EVENT_TIME_LEVEL_NAME_CHANGED` Indication that level name has been changed.

Fields inherited from class com.sas.iquery.metadata.expr.olap.TimeFilterExpression
`BACKWARD, EVENT_NPERIODS_CHANGED, EVENT_PERIODS_CHANGED, EVENT_SEARCH_DIRECTION_CHANGED, FORWARD`

Fields inherited from class com.sas.iquery.metadata.expr.olap.BaseFilterExpression
`EVENT_WHAT_TO_COMPARE_CHANGED`

Fields inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`EVENT_NEGATION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Constructor Summary
`TimeFilterFirstLastPeriodsExpression()`

Method Summary
`ExpressionInterface` | `getLevel()` Get level name.
`java.lang.String` | `getLevelName()` Deprecated. use getLevel
`void` | `setLevel(ExpressionInterface level)` Set level name.
`void` | `setLevelName(java.lang.String levelName)` Deprecated. use setLevel

Methods inherited from class com.sas.iquery.metadata.expr.olap.TimeFilterExpression
`getMemberLevelRoot, getnPeriods, getPeriods, getSearchDirection, isNegated, setIsNegated, setnPeriods, setPeriods, setSearchDirection`

Methods inherited from class com.sas.iquery.metadata.expr.olap.BaseFilterExpression
`getDisplayedText, getLevels, getWhatToCompare, setWhatToCompare`

Methods inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`getExpressionType`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Field Detail

*** This field is subject to change. ***

### EVENT_TIME_LEVEL_NAME_CHANGED

    public static final java.lang.String EVENT_TIME_LEVEL_NAME_CHANGED

  Indication that level name has been changed.

  See Also:
    Constant Field Values

Constructor Detail

### TimeFilterFirstLastPeriodsExpression

    public TimeFilterFirstLastPeriodsExpression()

Method Detail

*** This method is subject to change. ***

### setLevelName

    public void setLevelName(java.lang.String levelName)
                      throws java.lang.IllegalArgumentException

  Deprecated. use setLevel

  Set level name

  Parameters:
    `levelName` - name of period being filtered
  Throws:
    `java.lang.IllegalArgumentException`

*** This method is subject to change. ***

### getLevelName

    public java.lang.String getLevelName()

  Deprecated. use getLevel

  Get level name

*** This method is subject to change. ***

### setLevel

    public void setLevel(ExpressionInterface level)

  Set level name. This value should not be NULL.

  Parameters:
    `level` - name of period being filtered

*** This method is subject to change. ***

### getLevel

    public ExpressionInterface getLevel()

  Get level name. This method may return a null expression.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.